Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.physics.particles
Class SampleSet

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      net.sf.j3d.physics.particles.SampleSet

All Implemented Interfaces:
  javax.media.j3d.GeometryUpdater

    public class SampleSet

extends javax.media.j3d.Behavior
implements javax.media.j3d.GeometryUpdater

Field Summary

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`SampleSet(ParticleSystem system, int delay, float[] samples, int[] add, float[] multiply, InputFunction[] input)`

Method Summary
`float[]` | `force(float x, float y, float z, int k)`
`void` | `initialize()`
`void` | `processStimulus(Enumeration criteria)`
`void` | `updateData(javax.media.j3d.Geometry geo)`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences`

Methods inherited from class javax.media.j3d.Node
`cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SampleSet

    public SampleSet(ParticleSystem system,
                     int delay,
                     float[] samples,
                     int[] add,
                     float[] multiply,
                     InputFunction[] input)

Method Detail

### initialize

    public void initialize()

  Specified by:
    `initialize` in class `javax.media.j3d.Behavior`

### processStimulus

    public void processStimulus(Enumeration criteria)

  Specified by:
    `processStimulus` in class `javax.media.j3d.Behavior`

### updateData

    public void updateData(javax.media.j3d.Geometry geo)

  Specified by:
    `updateData` in interface `javax.media.j3d.GeometryUpdater`

### force

    public float[] force(float x,
                         float y,
                         float z,
                         int k)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD